%define srcname IMDbPY
%define module imdbpy
%define rel 3

Name:           python-imdbpy
Version:        6.8
Release:        %mkrel %{rel}
Summary:        Retrieve and manage the data of the IMDb movie database
Group:          Development/Python
License:        GPLv2+
URL:            https://imdbpy.sourceforge.io/
Source0:        https://pypi.io/packages/source/I/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch
Patch0:         build-fix.patch

%description
IMDbPY is a Python package useful to retrieve and manage the data of
the IMDb movie database about movies, people, characters and companies.

%package -n     python3-%{module}
Summary:        Retrieve and manage the data of the IMDb movie database
Group:          Development/Python
BuildArch:      noarch
%{?python_provide:%python_provide python3-%{module}}
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description -n python3-%{module}
IMDbPY is a Python package useful to retrieve and manage the data of
the IMDb movie database about movies, people, characters and companies.

This is the Python 3 build of %{module}.

%files -n python3-%{module}
%{_bindir}/%{module}
%{_bindir}/*.py
%{python3_sitelib}/imdb/
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info

#------------------------------------------------------------------------------

%prep
%autosetup -p1 -n %{srcname}-%{version}

# Remove bundled egg-info
rm -rf %{srcname}.egg-info

%build
%py3_build

%install
%py3_install


%changelog
* Sat Sep 19 2020 joequant <joequant> 6.8-3.mga8
+ Revision: 1628807
- fix build

* Sun Feb 16 2020 umeabot <umeabot> 6.8-2.mga8
+ Revision: 1532172
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 daviddavid <daviddavid> 6.8-1.mga8
+ Revision: 1441830
- new version: 6.8
- port to Python 3
- drop python2 support

* Sun Sep 23 2018 umeabot <umeabot> 4.9-9.mga7
+ Revision: 1300499
- Mageia 7 Mass Rebuild

* Thu Feb 04 2016 umeabot <umeabot> 4.9-8.mga6
+ Revision: 934800
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.9-7.mga5
+ Revision: 743589
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 4.9-6.mga5
+ Revision: 728741
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 4.9-5.mga5
+ Revision: 688086
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 4.9-3.mga4
+ Revision: 543589
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 4.9-2.mga4
+ Revision: 498726
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Feb 09 2013 mikala <mikala> 4.9-1.mga3
+ Revision: 397614
- imported package python-imdbpy

